aboutsummaryrefslogtreecommitdiffstats
path: root/testing/perl-html-quoted/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2011-05-31 16:00:53 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2011-05-31 16:00:53 +0000
commit2505d245e04726aeae84ed097598d7fd4e3f9d61 (patch)
treeb56539b036b5be55b34923ae734659c62b836834 /testing/perl-html-quoted/APKBUILD
parent490a6cfbb65ac73941590bc0572cde855b84253d (diff)
downloadaports-2505d245e04726aeae84ed097598d7fd4e3f9d61.tar.gz
aports-2505d245e04726aeae84ed097598d7fd4e3f9d61.tar.bz2
aports-2505d245e04726aeae84ed097598d7fd4e3f9d61.tar.xz
testing/perl-html-quoted: new aport
HTML::Quoted perl module http://search.cpan.org/dist/HTML-Quoted/
Diffstat (limited to 'testing/perl-html-quoted/APKBUILD')
-rw-r--r--testing/perl-html-quoted/APKBUILD39
1 files changed, 39 insertions, 0 deletions
diff --git a/testing/perl-html-quoted/APKBUILD b/testing/perl-html-quoted/APKBUILD
new file mode 100644
index 0000000000..b88a76f2d5
--- /dev/null
+++ b/testing/perl-html-quoted/APKBUILD
@@ -0,0 +1,39 @@
+# Contributor: Natanael Copa <ncopa@alpinelinux.org>
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=perl-html-quoted
+pkgver=0.03
+pkgrel=0
+pkgdesc="HTML::Quoted perl module"
+url="http://search.cpan.org/dist/HTML-Quoted/"
+arch="noarch"
+license="GPLv2 or Artistic"
+depends="perl perl-html-parser"
+makedepends="perl-dev"
+install=""
+subpackages="$pkgname-doc"
+source="http://search.cpan.org/CPAN/authors/id/R/RU/RUZ/HTML-Quoted-$pkgver.tar.gz"
+
+_builddir="$srcdir"/HTML-Quoted-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor || return 1
+ make && make test || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+ find "$pkgdir" \( -name perllocal.pod -o -name .packlist \) -delete
+}
+
+md5sums="dc614a27838ee3218f32738de1881e1f HTML-Quoted-0.03.tar.gz"